Export: plug EMF export for all platforms
[scilab.git] / scilab / modules / spreadsheet / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp TODO
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/spreadsheet
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
110         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
111         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
112         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
113         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
114         $(top_srcdir)/m4/intel_compiler.m4 \
115         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
116         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
117         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
118         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
119         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
120         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
121         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
122         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
123         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
124         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
125         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
129 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
133 am__vpath_adj = case $$p in \
134     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
135     *) f=$$p;; \
136   esac;
137 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
138 am__install_max = 40
139 am__nobase_strip_setup = \
140   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
141 am__nobase_strip = \
142   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
143 am__nobase_list = $(am__nobase_strip_setup); \
144   for p in $$list; do echo "$$p $$p"; done | \
145   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
146   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
147     if (++n[$$2] == $(am__install_max)) \
148       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
149     END { for (dir in files) print dir, files[dir] }'
150 am__base_list = \
151   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
152   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
153 am__uninstall_files_from_dir = { \
154   test -z "$$files" \
155     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
156     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
157          $(am__cd) "$$dir" && rm -f $$files; }; \
158   }
159 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
160         "$(DESTDIR)$(libscispreadsheet_la_etcdir)" \
161         "$(DESTDIR)$(libscispreadsheet_la_rootdir)" \
162         "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
163 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
164 libscispreadsheet_algo_la_LIBADD =
165 am__dirstamp = $(am__leading_dot)dirstamp
166 am__objects_1 = src/c/libscispreadsheet_algo_la-xls.lo \
167         src/c/libscispreadsheet_algo_la-checkCsvWriteFormat.lo \
168         src/c/libscispreadsheet_algo_la-csvDefault.lo \
169         src/c/libscispreadsheet_algo_la-csvRead.lo \
170         src/c/libscispreadsheet_algo_la-csvWrite.lo \
171         src/c/libscispreadsheet_algo_la-getRange.lo \
172         src/c/libscispreadsheet_algo_la-splitLine.lo \
173         src/c/libscispreadsheet_algo_la-utftolatin.lo
174 am__objects_2 =  \
175         src/c/ripole/libscispreadsheet_algo_la-olestream-unwrap.lo \
176         src/c/ripole/libscispreadsheet_algo_la-pldstr.lo \
177         src/c/ripole/libscispreadsheet_algo_la-ole.lo \
178         src/c/ripole/libscispreadsheet_algo_la-bytedecoders.lo \
179         src/c/ripole/libscispreadsheet_algo_la-logger.lo \
180         src/c/ripole/libscispreadsheet_algo_la-ripole.lo \
181         src/c/ripole/libscispreadsheet_algo_la-bt-int.lo
182 am_libscispreadsheet_algo_la_OBJECTS = $(am__objects_1) \
183         $(am__objects_2)
184 libscispreadsheet_algo_la_OBJECTS =  \
185         $(am_libscispreadsheet_algo_la_OBJECTS)
186 AM_V_lt = $(am__v_lt_@AM_V@)
187 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
188 am__v_lt_0 = --silent
189 am__v_lt_1 = 
190 libscispreadsheet_la_DEPENDENCIES = libscispreadsheet-algo.la
191 am__objects_3 = sci_gateway/c/libscispreadsheet_la-gw_spreadsheet.lo \
192         sci_gateway/c/libscispreadsheet_la-sci_xls_read.lo \
193         sci_gateway/c/libscispreadsheet_la-sci_xls_open.lo \
194         sci_gateway/c/libscispreadsheet_la-gw_csv_helpers.lo \
195         sci_gateway/c/libscispreadsheet_la-sci_csvDefault.lo \
196         sci_gateway/c/libscispreadsheet_la-sci_csvRead.lo \
197         sci_gateway/c/libscispreadsheet_la-sci_csvStringToDouble.lo \
198         sci_gateway/c/libscispreadsheet_la-sci_csvTextScan.lo \
199         sci_gateway/c/libscispreadsheet_la-sci_csvWrite.lo
200 am_libscispreadsheet_la_OBJECTS = $(am__objects_3)
201 libscispreadsheet_la_OBJECTS = $(am_libscispreadsheet_la_OBJECTS)
202 AM_V_P = $(am__v_P_@AM_V@)
203 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
204 am__v_P_0 = false
205 am__v_P_1 = :
206 AM_V_GEN = $(am__v_GEN_@AM_V@)
207 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
208 am__v_GEN_0 = @echo "  GEN     " $@;
209 am__v_GEN_1 = 
210 AM_V_at = $(am__v_at_@AM_V@)
211 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
212 am__v_at_0 = @
213 am__v_at_1 = 
214 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
215 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
216 am__depfiles_maybe = depfiles
217 am__mv = mv -f
218 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
219         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
220 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
221         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
222         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
223         $(AM_CFLAGS) $(CFLAGS)
224 AM_V_CC = $(am__v_CC_@AM_V@)
225 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
226 am__v_CC_0 = @echo "  CC      " $@;
227 am__v_CC_1 = 
228 CCLD = $(CC)
229 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
230         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
231         $(AM_LDFLAGS) $(LDFLAGS) -o $@
232 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
233 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
234 am__v_CCLD_0 = @echo "  CCLD    " $@;
235 am__v_CCLD_1 = 
236 SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
237         $(libscispreadsheet_la_SOURCES)
238 DIST_SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
239         $(libscispreadsheet_la_SOURCES)
240 am__can_run_installinfo = \
241   case $$AM_UPDATE_INFO_DIR in \
242     n|no|NO) false;; \
243     *) (install-info --version) >/dev/null 2>&1;; \
244   esac
245 DATA = $(libscispreadsheet_la_etc_DATA) \
246         $(libscispreadsheet_la_root_DATA) \
247         $(libscispreadsheet_la_sci_gateway_DATA)
248 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
249 # Read a list of newline-separated strings from the standard input,
250 # and print each of them once, without duplicates.  Input order is
251 # *not* preserved.
252 am__uniquify_input = $(AWK) '\
253   BEGIN { nonempty = 0; } \
254   { items[$$0] = 1; nonempty = 1; } \
255   END { if (nonempty) { for (i in items) print i; }; } \
256 '
257 # Make sure the list of sources is unique.  This is necessary because,
258 # e.g., the same source file might be shared among _SOURCES variables
259 # for different programs/libraries.
260 am__define_uniq_tagged_files = \
261   list='$(am__tagged_files)'; \
262   unique=`for i in $$list; do \
263     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
264   done | $(am__uniquify_input)`
265 ETAGS = etags
266 CTAGS = ctags
267 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
268 ACLOCAL = @ACLOCAL@
269 ALL_LINGUAS = @ALL_LINGUAS@
270 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
271 AMTAR = @AMTAR@
272 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
273 ANT = @ANT@
274 ANTLR = @ANTLR@
275 AR = @AR@
276 ARPACK_LIBS = @ARPACK_LIBS@
277 ASM3 = @ASM3@
278 AUTOCONF = @AUTOCONF@
279 AUTOHEADER = @AUTOHEADER@
280 AUTOMAKE = @AUTOMAKE@
281 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
282 AWK = @AWK@
283 BATIK = @BATIK@
284 BLAS_LIBS = @BLAS_LIBS@
285 CC = @CC@
286 CCACHE = @CCACHE@
287 CCDEPMODE = @CCDEPMODE@
288 CFLAGS = @CFLAGS@
289 CHECKSTYLE = @CHECKSTYLE@
290 COBERTURA = @COBERTURA@
291 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
292 COMMONS_IO = @COMMONS_IO@
293 COMMONS_LOGGING = @COMMONS_LOGGING@
294 CPP = @CPP@
295 CPPFLAGS = @CPPFLAGS@
296 CURL_CFLAGS = @CURL_CFLAGS@
297 CURL_CONFIG = @CURL_CONFIG@
298 CURL_LIBS = @CURL_LIBS@
299 CURL_VERSION = @CURL_VERSION@
300 CXX = @CXX@
301 CXXCPP = @CXXCPP@
302 CXXDEPMODE = @CXXDEPMODE@
303 CXXFLAGS = @CXXFLAGS@
304 CYGPATH_W = @CYGPATH_W@
305 DEFS = @DEFS@
306 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
307 DEPDIR = @DEPDIR@
308 DLLTOOL = @DLLTOOL@
309 DOCBOOK_ROOT = @DOCBOOK_ROOT@
310 DOXYGEN_BIN = @DOXYGEN_BIN@
311 DSYMUTIL = @DSYMUTIL@
312 DUMPBIN = @DUMPBIN@
313 ECHO_C = @ECHO_C@
314 ECHO_N = @ECHO_N@
315 ECHO_T = @ECHO_T@
316 ECJ = @ECJ@
317 EGREP = @EGREP@
318 EXEEXT = @EXEEXT@
319 F77 = @F77@
320 FFLAGS = @FFLAGS@
321 FFTW3_LIB = @FFTW3_LIB@
322 FFTW_ENABLE = @FFTW_ENABLE@
323 FGREP = @FGREP@
324 FLEXDOCK = @FLEXDOCK@
325 FLIBS = @FLIBS@
326 FOP = @FOP@
327 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
328 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
329 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
330 FREEHEP_IO = @FREEHEP_IO@
331 FREEHEP_UTIL = @FREEHEP_UTIL@
332 GENHTML = @GENHTML@
333 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
334 GIWS_BIN = @GIWS_BIN@
335 GLUEGEN2_RT = @GLUEGEN2_RT@
336 GMSGFMT = @GMSGFMT@
337 GMSGFMT_015 = @GMSGFMT_015@
338 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
339 GREP = @GREP@
340 GUI_ENABLE = @GUI_ENABLE@
341 HDF5_CFLAGS = @HDF5_CFLAGS@
342 HDF5_LIBS = @HDF5_LIBS@
343 HELP_ENABLE = @HELP_ENABLE@
344 INSTALL = @INSTALL@
345 INSTALL_DATA = @INSTALL_DATA@
346 INSTALL_PROGRAM = @INSTALL_PROGRAM@
347 INSTALL_SCRIPT = @INSTALL_SCRIPT@
348 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
349 INTLLIBS = @INTLLIBS@
350 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
351 JAR = @JAR@
352 JAVA = @JAVA@
353 JAVAC = @JAVAC@
354 JAVAC_DEBUG = @JAVAC_DEBUG@
355 JAVADOC = @JAVADOC@
356 JAVAH = @JAVAH@
357 JAVASCI_ENABLE = @JAVASCI_ENABLE@
358 JAVA_ENABLE = @JAVA_ENABLE@
359 JAVA_G = @JAVA_G@
360 JAVA_HOME = @JAVA_HOME@
361 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
362 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
363 JDB = @JDB@
364 JEUCLID_CORE = @JEUCLID_CORE@
365 JGRAPHX = @JGRAPHX@
366 JHALL = @JHALL@
367 JLATEXMATH = @JLATEXMATH@
368 JLATEXMATH_FOP = @JLATEXMATH_FOP@
369 JOGL2 = @JOGL2@
370 JROSETTA_API = @JROSETTA_API@
371 JROSETTA_ENGINE = @JROSETTA_ENGINE@
372 JUNIT4 = @JUNIT4@
373 LAPACK_LIBS = @LAPACK_LIBS@
374 LCOV = @LCOV@
375 LD = @LD@
376 LDFLAGS = @LDFLAGS@
377 LIBICONV = @LIBICONV@
378 LIBINTL = @LIBINTL@
379 LIBM = @LIBM@
380 LIBOBJS = @LIBOBJS@
381 LIBS = @LIBS@
382 LIBTOOL = @LIBTOOL@
383 LIPO = @LIPO@
384 LN_S = @LN_S@
385 LOGGING_LEVEL = @LOGGING_LEVEL@
386 LOOKS = @LOOKS@
387 LTLIBICONV = @LTLIBICONV@
388 LTLIBINTL = @LTLIBINTL@
389 LTLIBOBJS = @LTLIBOBJS@
390 MAINT = @MAINT@
391 MAKEINFO = @MAKEINFO@
392 MANIFEST_TOOL = @MANIFEST_TOOL@
393 MATIO_CFLAGS = @MATIO_CFLAGS@
394 MATIO_ENABLE = @MATIO_ENABLE@
395 MATIO_LIBS = @MATIO_LIBS@
396 MKDIR_P = @MKDIR_P@
397 MPI_ENABLE = @MPI_ENABLE@
398 MSGCAT = @MSGCAT@
399 MSGFMT = @MSGFMT@
400 MSGFMT_015 = @MSGFMT_015@
401 MSGMERGE = @MSGMERGE@
402 NM = @NM@
403 NMEDIT = @NMEDIT@
404 OBJDUMP = @OBJDUMP@
405 OBJEXT = @OBJEXT@
406 OCAMLC = @OCAMLC@
407 OCAMLDEP = @OCAMLDEP@
408 OCAMLLEX = @OCAMLLEX@
409 OCAMLOPT = @OCAMLOPT@
410 OCAMLYACC = @OCAMLYACC@
411 OPENMPI_CC = @OPENMPI_CC@
412 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
413 OPENMPI_CXX = @OPENMPI_CXX@
414 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
415 OPENMPI_LIBS = @OPENMPI_LIBS@
416 OPENMP_CFLAGS = @OPENMP_CFLAGS@
417 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
418 OPENMP_ENABLE = @OPENMP_ENABLE@
419 OPENMP_LIBS = @OPENMP_LIBS@
420 OTOOL = @OTOOL@
421 OTOOL64 = @OTOOL64@
422 PACKAGE = @PACKAGE@
423 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
424 PACKAGE_NAME = @PACKAGE_NAME@
425 PACKAGE_STRING = @PACKAGE_STRING@
426 PACKAGE_TARNAME = @PACKAGE_TARNAME@
427 PACKAGE_URL = @PACKAGE_URL@
428 PACKAGE_VERSION = @PACKAGE_VERSION@
429 PATH_SEPARATOR = @PATH_SEPARATOR@
430 PCRE_CFLAGS = @PCRE_CFLAGS@
431 PCRE_CONFIG = @PCRE_CONFIG@
432 PCRE_LIBS = @PCRE_LIBS@
433 PCRE_VERSION = @PCRE_VERSION@
434 PKG_CONFIG = @PKG_CONFIG@
435 POSUB = @POSUB@
436 POW_LIB = @POW_LIB@
437 PYTHON = @PYTHON@
438 RANLIB = @RANLIB@
439 RELOCATABLE = @RELOCATABLE@
440 RT_LIB = @RT_LIB@
441 SAXON = @SAXON@
442 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
443 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
444 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
445 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
446 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
447 SCIRENDERER = @SCIRENDERER@
448 SCIRENDERER_CP = @SCIRENDERER_CP@
449 SCI_CFLAGS = @SCI_CFLAGS@
450 SCI_CXXFLAGS = @SCI_CXXFLAGS@
451 SCI_FFLAGS = @SCI_FFLAGS@
452 SCI_LDFLAGS = @SCI_LDFLAGS@
453 SED = @SED@
454 SET_MAKE = @SET_MAKE@
455 SET_RELOCATABLE = @SET_RELOCATABLE@
456 SHELL = @SHELL@
457 SKINLF = @SKINLF@
458 SPLINT = @SPLINT@
459 STRIP = @STRIP@
460 SWIG_BIN = @SWIG_BIN@
461 SWIG_JAVA = @SWIG_JAVA@
462 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
463 SWIG_SCILAB = @SWIG_SCILAB@
464 TCLTK_LIBS = @TCLTK_LIBS@
465 TCL_INC_PATH = @TCL_INC_PATH@
466 TK_INC_PATH = @TK_INC_PATH@
467 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
468 UMFPACK_ENABLE = @UMFPACK_ENABLE@
469 UMFPACK_LIB = @UMFPACK_LIB@
470 USE_NLS = @USE_NLS@
471 VERSION = @VERSION@
472 WITH_OCAML = @WITH_OCAML@
473 WITH_TKSCI = @WITH_TKSCI@
474 XCOS_ENABLE = @XCOS_ENABLE@
475 XGETTEXT = @XGETTEXT@
476 XGETTEXT_015 = @XGETTEXT_015@
477 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
478 XMKMF = @XMKMF@
479 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
480 XML_APIS_EXT = @XML_APIS_EXT@
481 XML_CONFIG = @XML_CONFIG@
482 XML_FLAGS = @XML_FLAGS@
483 XML_LIBS = @XML_LIBS@
484 XML_VERSION = @XML_VERSION@
485 X_CFLAGS = @X_CFLAGS@
486 X_EXTRA_LIBS = @X_EXTRA_LIBS@
487 X_LIBS = @X_LIBS@
488 X_PRE_LIBS = @X_PRE_LIBS@
489 abs_builddir = @abs_builddir@
490 abs_srcdir = @abs_srcdir@
491 abs_top_builddir = @abs_top_builddir@
492 abs_top_srcdir = @abs_top_srcdir@
493 ac_ct_AR = @ac_ct_AR@
494 ac_ct_CC = @ac_ct_CC@
495 ac_ct_CXX = @ac_ct_CXX@
496 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
497 ac_ct_F77 = @ac_ct_F77@
498 am__include = @am__include@
499 am__leading_dot = @am__leading_dot@
500 am__quote = @am__quote@
501 am__tar = @am__tar@
502 am__untar = @am__untar@
503 bindir = @bindir@
504 build = @build@
505 build_alias = @build_alias@
506 build_cpu = @build_cpu@
507 build_os = @build_os@
508 build_vendor = @build_vendor@
509 builddir = @builddir@
510 cxx_present = @cxx_present@
511 datadir = @datadir@
512 datarootdir = @datarootdir@
513 docdir = @docdir@
514 dvidir = @dvidir@
515 exec_prefix = @exec_prefix@
516 host = @host@
517 host_alias = @host_alias@
518 host_cpu = @host_cpu@
519 host_os = @host_os@
520 host_vendor = @host_vendor@
521 htmldir = @htmldir@
522 includedir = @includedir@
523 infodir = @infodir@
524 install_sh = @install_sh@
525 libdir = @libdir@
526 libexecdir = @libexecdir@
527 localedir = @localedir@
528 localstatedir = @localstatedir@
529 mandir = @mandir@
530 mkdir_p = @mkdir_p@
531 oldincludedir = @oldincludedir@
532 pdfdir = @pdfdir@
533 prefix = @prefix@
534 program_transform_name = @program_transform_name@
535 psdir = @psdir@
536 sbindir = @sbindir@
537 sharedstatedir = @sharedstatedir@
538 srcdir = @srcdir@
539 sysconfdir = @sysconfdir@
540 target_alias = @target_alias@
541 top_build_prefix = @top_build_prefix@
542 top_builddir = @top_builddir@
543 top_srcdir = @top_srcdir@
544 SPREADSHEET_C_SOURCES = \
545 src/c/xls.c \
546 src/c/checkCsvWriteFormat.c \
547 src/c/csvDefault.c \
548 src/c/csvRead.c \
549 src/c/csvWrite.c \
550 src/c/getRange.c \
551 src/c/splitLine.c \
552 src/c/utftolatin.c
553
554 RIPOLE_SOURCES = \
555 src/c/ripole/olestream-unwrap.c \
556 src/c/ripole/pldstr.c \
557 src/c/ripole/ole.c \
558 src/c/ripole/bytedecoders.c \
559 src/c/ripole/logger.c \
560 src/c/ripole/ripole.c \
561 src/c/ripole/bt-int.c
562
563 GATEWAY_C_SOURCES = \
564 sci_gateway/c/gw_spreadsheet.c \
565 sci_gateway/c/sci_xls_read.c \
566 sci_gateway/c/sci_xls_open.c \
567 sci_gateway/c/gw_csv_helpers.c \
568 sci_gateway/c/sci_csvDefault.c \
569 sci_gateway/c/sci_csvRead.c \
570 sci_gateway/c/sci_csvStringToDouble.c \
571 sci_gateway/c/sci_csvTextScan.c \
572 sci_gateway/c/sci_csvWrite.c
573
574 libscispreadsheet_la_CPPFLAGS = \
575 -I$(srcdir)/includes/ \
576 -I$(srcdir)/src/c/ \
577 -I$(srcdir)/src/c/ripole \
578 -I$(top_srcdir)/modules/localization/includes/ \
579 -I$(top_srcdir)/modules/output_stream/includes/ \
580 -I$(top_srcdir)/modules/io/includes/ \
581 -I$(top_srcdir)/modules/string/src/c/ \
582 -I$(top_srcdir)/modules/string/includes/ \
583 -I$(top_srcdir)/modules/api_scilab/includes/ \
584 -I$(top_srcdir)/modules/fileio/includes/ \
585 $(AM_CPPFLAGS)
586
587 pkglib_LTLIBRARIES = libscispreadsheet.la
588 noinst_LTLIBRARIES = libscispreadsheet-algo.la
589 libscispreadsheet_algo_la_SOURCES = $(SPREADSHEET_C_SOURCES) $(RIPOLE_SOURCES)
590 libscispreadsheet_la_SOURCES = $(GATEWAY_C_SOURCES)
591 libscispreadsheet_algo_la_CPPFLAGS = $(libscispreadsheet_la_CPPFLAGS)
592
593 # For the code check (splint)
594 CHECK_SRC = $(SPREADSHEET_C_SOURCES) $(GATEWAY_C_SOURCES) $(RIPOLE_SOURCES)
595 INCLUDE_FLAGS = $(libscispreadsheet_la_CPPFLAGS)
596 libscispreadsheet_la_LIBADD = libscispreadsheet-algo.la
597
598 #### Target ######
599 modulename = spreadsheet
600
601 #### spreadsheet : Conf files ####
602 libscispreadsheet_la_rootdir = $(mydatadir)
603 libscispreadsheet_la_root_DATA = license.txt
604
605 ####�spreadsheet : init scripts ####
606 libscispreadsheet_la_etcdir = $(mydatadir)/etc
607 libscispreadsheet_la_etc_DATA = etc/spreadsheet.quit etc/spreadsheet.start
608
609 ####�spreadsheet : gateway declaration ####
610 libscispreadsheet_la_sci_gatewaydir = $(mydatadir)/sci_gateway
611 libscispreadsheet_la_sci_gateway_DATA = sci_gateway/spreadsheet_gateway.xml
612
613 # Where all the Scilab stuff is installed (macros, help, ...)
614 mydatadir = $(pkgdatadir)/modules/$(modulename)
615
616 # Set AM_* SCI detected settings
617 AM_CPPFLAGS = $(SCI_CPPFLAGS)
618 AM_CFLAGS = $(SCI_CFLAGS)
619 AM_CXXFLAGS = $(SCI_CXXFLAGS)
620 # append includes to AM_FFLAGS to manage fortran includes
621 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
622
623 # Tag shared libraries with the Scilab version
624 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
625
626 # splint options
627 SPLINT_OPTIONS = -weak -booltype BOOL
628
629 ########################### JAVA ######################################
630 #### We are delegating java compilation to ant... Thanks to that
631 #### the procedure will be the same with Microsoft Windows (C)
632 #### and Linux/Unix
633 #######################################################################
634 TARGETS_ALL = $(am__append_1)
635
636 ################ MACROS ######################
637 # Rule to build a macro
638 # NOT USED  AT THE MOMENT
639 SUFFIXES = .sci 
640
641 ########### INSTALL DOCUMENTATION ###################
642
643 # Install documentation files into the right target
644 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
645 # automake needs the html files to be present which is not the case when
646 # we are building Scilab
647
648 # Where it should be installed
649 pkgdocdir = $(mydatadir)
650
651 # What is the mask of the help source
652 DOCMASKXML = *.xml
653
654 # What is the mask of the MathML sources
655 DOCMASKMML = *.mml
656
657 ########### INSTALL DATA ###################
658 # Install macros, help & demos
659 # Where it should be installed
660 pkgmacrosdir = $(mydatadir)
661 # Which directory we process
662 MACRODIRS = macros/
663 # Mask of the Scilab sources macros
664 MACROMASK = *.sci
665 # Mask of the Scilab executable sources macros
666 MACROBUILDMASK = *.sce
667 # Mask of the Scilab compiled macros
668 MACROBINMASK = *.bin
669 # List of the standard directory for tests
670 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
671 # Where the demos should be installed
672 pkgdemosdir = $(mydatadir)
673 # List of the standard directory for demos
674 DEMOS_DIR = demos
675 # List of the standard directory for examples
676 EXAMPLES_DIR = examples
677 # Where to export JAVA archives (.jar)
678 JARDIR = jar/
679 # JAR files mask
680 JARMASK = *.jar
681 # Chapter file 
682 HELP_CHAPTERDIR = help/
683 HELP_CHAPTERFILE = addchapter.sce
684 HELP_CHAPTERLANG = en_US fr_FR pt_BR
685 all: all-am
686
687 .SUFFIXES:
688 .SUFFIXES: .sci .bin .c .lo .o .obj
689 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
690         @for dep in $?; do \
691           case '$(am__configure_deps)' in \
692             *$$dep*) \
693               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
694                 && { if test -f $@; then exit 0; else break; fi; }; \
695               exit 1;; \
696           esac; \
697         done; \
698         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/spreadsheet/Makefile'; \
699         $(am__cd) $(top_srcdir) && \
700           $(AUTOMAKE) --foreign modules/spreadsheet/Makefile
701 .PRECIOUS: Makefile
702 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
703         @case '$?' in \
704           *config.status*) \
705             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
706           *) \
707             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
708             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
709         esac;
710 $(top_srcdir)/Makefile.incl.am:
711
712 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
713         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714
715 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
716         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
718         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719 $(am__aclocal_m4_deps):
720
721 clean-noinstLTLIBRARIES:
722         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
723         @list='$(noinst_LTLIBRARIES)'; \
724         locs=`for p in $$list; do echo $$p; done | \
725               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
726               sort -u`; \
727         test -z "$$locs" || { \
728           echo rm -f $${locs}; \
729           rm -f $${locs}; \
730         }
731
732 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
733         @$(NORMAL_INSTALL)
734         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
735         list2=; for p in $$list; do \
736           if test -f $$p; then \
737             list2="$$list2 $$p"; \
738           else :; fi; \
739         done; \
740         test -z "$$list2" || { \
741           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
742           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
743           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
744           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
745         }
746
747 uninstall-pkglibLTLIBRARIES:
748         @$(NORMAL_UNINSTALL)
749         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
750         for p in $$list; do \
751           $(am__strip_dir) \
752           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
753           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
754         done
755
756 clean-pkglibLTLIBRARIES:
757         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
758         @list='$(pkglib_LTLIBRARIES)'; \
759         locs=`for p in $$list; do echo $$p; done | \
760               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
761               sort -u`; \
762         test -z "$$locs" || { \
763           echo rm -f $${locs}; \
764           rm -f $${locs}; \
765         }
766 src/c/$(am__dirstamp):
767         @$(MKDIR_P) src/c
768         @: > src/c/$(am__dirstamp)
769 src/c/$(DEPDIR)/$(am__dirstamp):
770         @$(MKDIR_P) src/c/$(DEPDIR)
771         @: > src/c/$(DEPDIR)/$(am__dirstamp)
772 src/c/libscispreadsheet_algo_la-xls.lo: src/c/$(am__dirstamp) \
773         src/c/$(DEPDIR)/$(am__dirstamp)
774 src/c/libscispreadsheet_algo_la-checkCsvWriteFormat.lo:  \
775         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
776 src/c/libscispreadsheet_algo_la-csvDefault.lo: src/c/$(am__dirstamp) \
777         src/c/$(DEPDIR)/$(am__dirstamp)
778 src/c/libscispreadsheet_algo_la-csvRead.lo: src/c/$(am__dirstamp) \
779         src/c/$(DEPDIR)/$(am__dirstamp)
780 src/c/libscispreadsheet_algo_la-csvWrite.lo: src/c/$(am__dirstamp) \
781         src/c/$(DEPDIR)/$(am__dirstamp)
782 src/c/libscispreadsheet_algo_la-getRange.lo: src/c/$(am__dirstamp) \
783         src/c/$(DEPDIR)/$(am__dirstamp)
784 src/c/libscispreadsheet_algo_la-splitLine.lo: src/c/$(am__dirstamp) \
785         src/c/$(DEPDIR)/$(am__dirstamp)
786 src/c/libscispreadsheet_algo_la-utftolatin.lo: src/c/$(am__dirstamp) \
787         src/c/$(DEPDIR)/$(am__dirstamp)
788 src/c/ripole/$(am__dirstamp):
789         @$(MKDIR_P) src/c/ripole
790         @: > src/c/ripole/$(am__dirstamp)
791 src/c/ripole/$(DEPDIR)/$(am__dirstamp):
792         @$(MKDIR_P) src/c/ripole/$(DEPDIR)
793         @: > src/c/ripole/$(DEPDIR)/$(am__dirstamp)
794 src/c/ripole/libscispreadsheet_algo_la-olestream-unwrap.lo:  \
795         src/c/ripole/$(am__dirstamp) \
796         src/c/ripole/$(DEPDIR)/$(am__dirstamp)
797 src/c/ripole/libscispreadsheet_algo_la-pldstr.lo:  \
798         src/c/ripole/$(am__dirstamp) \
799         src/c/ripole/$(DEPDIR)/$(am__dirstamp)
800 src/c/ripole/libscispreadsheet_algo_la-ole.lo:  \
801         src/c/ripole/$(am__dirstamp) \
802         src/c/ripole/$(DEPDIR)/$(am__dirstamp)
803 src/c/ripole/libscispreadsheet_algo_la-bytedecoders.lo:  \
804         src/c/ripole/$(am__dirstamp) \
805         src/c/ripole/$(DEPDIR)/$(am__dirstamp)
806 src/c/ripole/libscispreadsheet_algo_la-logger.lo:  \
807         src/c/ripole/$(am__dirstamp) \
808         src/c/ripole/$(DEPDIR)/$(am__dirstamp)
809 src/c/ripole/libscispreadsheet_algo_la-ripole.lo:  \
810         src/c/ripole/$(am__dirstamp) \
811         src/c/ripole/$(DEPDIR)/$(am__dirstamp)
812 src/c/ripole/libscispreadsheet_algo_la-bt-int.lo:  \
813         src/c/ripole/$(am__dirstamp) \
814         src/c/ripole/$(DEPDIR)/$(am__dirstamp)
815
816 libscispreadsheet-algo.la: $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_algo_la_DEPENDENCIES) 
817         $(AM_V_CCLD)$(LINK)  $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_LIBADD) $(LIBS)
818 sci_gateway/c/$(am__dirstamp):
819         @$(MKDIR_P) sci_gateway/c
820         @: > sci_gateway/c/$(am__dirstamp)
821 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
822         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
823         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
824 sci_gateway/c/libscispreadsheet_la-gw_spreadsheet.lo:  \
825         sci_gateway/c/$(am__dirstamp) \
826         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
827 sci_gateway/c/libscispreadsheet_la-sci_xls_read.lo:  \
828         sci_gateway/c/$(am__dirstamp) \
829         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
830 sci_gateway/c/libscispreadsheet_la-sci_xls_open.lo:  \
831         sci_gateway/c/$(am__dirstamp) \
832         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
833 sci_gateway/c/libscispreadsheet_la-gw_csv_helpers.lo:  \
834         sci_gateway/c/$(am__dirstamp) \
835         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
836 sci_gateway/c/libscispreadsheet_la-sci_csvDefault.lo:  \
837         sci_gateway/c/$(am__dirstamp) \
838         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
839 sci_gateway/c/libscispreadsheet_la-sci_csvRead.lo:  \
840         sci_gateway/c/$(am__dirstamp) \
841         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
842 sci_gateway/c/libscispreadsheet_la-sci_csvStringToDouble.lo:  \
843         sci_gateway/c/$(am__dirstamp) \
844         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
845 sci_gateway/c/libscispreadsheet_la-sci_csvTextScan.lo:  \
846         sci_gateway/c/$(am__dirstamp) \
847         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
848 sci_gateway/c/libscispreadsheet_la-sci_csvWrite.lo:  \
849         sci_gateway/c/$(am__dirstamp) \
850         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
851
852 libscispreadsheet.la: $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_la_DEPENDENCIES) 
853         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_LIBADD) $(LIBS)
854
855 mostlyclean-compile:
856         -rm -f *.$(OBJEXT)
857         -rm -f sci_gateway/c/*.$(OBJEXT)
858         -rm -f sci_gateway/c/*.lo
859         -rm -f src/c/*.$(OBJEXT)
860         -rm -f src/c/*.lo
861         -rm -f src/c/ripole/*.$(OBJEXT)
862         -rm -f src/c/ripole/*.lo
863
864 distclean-compile:
865         -rm -f *.tab.c
866
867 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo@am__quote@
868 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo@am__quote@
869 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo@am__quote@
870 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo@am__quote@
871 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo@am__quote@
872 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo@am__quote@
873 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo@am__quote@
874 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo@am__quote@
875 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo@am__quote@
876 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo@am__quote@
877 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo@am__quote@
878 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo@am__quote@
879 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo@am__quote@
880 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo@am__quote@
881 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo@am__quote@
882 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo@am__quote@
883 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo@am__quote@
884 @AMDEP_TRUE@@am__include@ @am__quote@src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo@am__quote@
885 @AMDEP_TRUE@@am__include@ @am__quote@src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo@am__quote@
886 @AMDEP_TRUE@@am__include@ @am__quote@src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo@am__quote@
887 @AMDEP_TRUE@@am__include@ @am__quote@src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo@am__quote@
888 @AMDEP_TRUE@@am__include@ @am__quote@src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo@am__quote@
889 @AMDEP_TRUE@@am__include@ @am__quote@src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo@am__quote@
890 @AMDEP_TRUE@@am__include@ @am__quote@src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo@am__quote@
891
892 .c.o:
893 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
894 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
895 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
897 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
898 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
899
900 .c.obj:
901 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
902 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
903 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
904 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
905 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
906 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
907
908 .c.lo:
909 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
910 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
911 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
912 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
913 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
914 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
915
916 src/c/libscispreadsheet_algo_la-xls.lo: src/c/xls.c
917 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-xls.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo -c -o src/c/libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
918 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo
919 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/xls.c' object='src/c/libscispreadsheet_algo_la-xls.lo' libtool=yes @AMDEPBACKSLASH@
920 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
921 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
922
923 src/c/libscispreadsheet_algo_la-checkCsvWriteFormat.lo: src/c/checkCsvWriteFormat.c
924 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-checkCsvWriteFormat.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo -c -o src/c/libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
925 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo
926 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/checkCsvWriteFormat.c' object='src/c/libscispreadsheet_algo_la-checkCsvWriteFormat.lo' libtool=yes @AMDEPBACKSLASH@
927 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
928 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
929
930 src/c/libscispreadsheet_algo_la-csvDefault.lo: src/c/csvDefault.c
931 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-csvDefault.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo -c -o src/c/libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
932 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo
933 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvDefault.c' object='src/c/libscispreadsheet_algo_la-csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
934 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
935 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
936
937 src/c/libscispreadsheet_algo_la-csvRead.lo: src/c/csvRead.c
938 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-csvRead.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo -c -o src/c/libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
939 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo
940 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvRead.c' object='src/c/libscispreadsheet_algo_la-csvRead.lo' libtool=yes @AMDEPBACKSLASH@
941 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
942 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
943
944 src/c/libscispreadsheet_algo_la-csvWrite.lo: src/c/csvWrite.c
945 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-csvWrite.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo -c -o src/c/libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
946 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo
947 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvWrite.c' object='src/c/libscispreadsheet_algo_la-csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
948 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
949 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
950
951 src/c/libscispreadsheet_algo_la-getRange.lo: src/c/getRange.c
952 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-getRange.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo -c -o src/c/libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
953 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo
954 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getRange.c' object='src/c/libscispreadsheet_algo_la-getRange.lo' libtool=yes @AMDEPBACKSLASH@
955 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
956 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
957
958 src/c/libscispreadsheet_algo_la-splitLine.lo: src/c/splitLine.c
959 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-splitLine.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo -c -o src/c/libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
960 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo
961 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/splitLine.c' object='src/c/libscispreadsheet_algo_la-splitLine.lo' libtool=yes @AMDEPBACKSLASH@
962 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
963 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
964
965 src/c/libscispreadsheet_algo_la-utftolatin.lo: src/c/utftolatin.c
966 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispreadsheet_algo_la-utftolatin.lo -MD -MP -MF src/c/$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo -c -o src/c/libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
967 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo src/c/$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo
968 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/utftolatin.c' object='src/c/libscispreadsheet_algo_la-utftolatin.lo' libtool=yes @AMDEPBACKSLASH@
969 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
970 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
971
972 src/c/ripole/libscispreadsheet_algo_la-olestream-unwrap.lo: src/c/ripole/olestream-unwrap.c
973 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/ripole/libscispreadsheet_algo_la-olestream-unwrap.lo -MD -MP -MF src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo -c -o src/c/ripole/libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
974 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo
975 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/olestream-unwrap.c' object='src/c/ripole/libscispreadsheet_algo_la-olestream-unwrap.lo' libtool=yes @AMDEPBACKSLASH@
976 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
977 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/ripole/libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
978
979 src/c/ripole/libscispreadsheet_algo_la-pldstr.lo: src/c/ripole/pldstr.c
980 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/ripole/libscispreadsheet_algo_la-pldstr.lo -MD -MP -MF src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo -c -o src/c/ripole/libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
981 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo
982 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/pldstr.c' object='src/c/ripole/libscispreadsheet_algo_la-pldstr.lo' libtool=yes @AMDEPBACKSLASH@
983 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
984 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/ripole/libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
985
986 src/c/ripole/libscispreadsheet_algo_la-ole.lo: src/c/ripole/ole.c
987 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/ripole/libscispreadsheet_algo_la-ole.lo -MD -MP -MF src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo -c -o src/c/ripole/libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
988 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo
989 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ole.c' object='src/c/ripole/libscispreadsheet_algo_la-ole.lo' libtool=yes @AMDEPBACKSLASH@
990 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
991 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/ripole/libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
992
993 src/c/ripole/libscispreadsheet_algo_la-bytedecoders.lo: src/c/ripole/bytedecoders.c
994 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/ripole/libscispreadsheet_algo_la-bytedecoders.lo -MD -MP -MF src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo -c -o src/c/ripole/libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
995 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo
996 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bytedecoders.c' object='src/c/ripole/libscispreadsheet_algo_la-bytedecoders.lo' libtool=yes @AMDEPBACKSLASH@
997 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
998 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/ripole/libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
999
1000 src/c/ripole/libscispreadsheet_algo_la-logger.lo: src/c/ripole/logger.c
1001 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/ripole/libscispreadsheet_algo_la-logger.lo -MD -MP -MF src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo -c -o src/c/ripole/libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
1002 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo
1003 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/logger.c' object='src/c/ripole/libscispreadsheet_algo_la-logger.lo' libtool=yes @AMDEPBACKSLASH@
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1005 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/ripole/libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
1006
1007 src/c/ripole/libscispreadsheet_algo_la-ripole.lo: src/c/ripole/ripole.c
1008 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/ripole/libscispreadsheet_algo_la-ripole.lo -MD -MP -MF src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo -c -o src/c/ripole/libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
1009 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo
1010 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ripole.c' object='src/c/ripole/libscispreadsheet_algo_la-ripole.lo' libtool=yes @AMDEPBACKSLASH@
1011 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1012 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/ripole/libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
1013
1014 src/c/ripole/libscispreadsheet_algo_la-bt-int.lo: src/c/ripole/bt-int.c
1015 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/ripole/libscispreadsheet_algo_la-bt-int.lo -MD -MP -MF src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo -c -o src/c/ripole/libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
1016 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo src/c/ripole/$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo
1017 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bt-int.c' object='src/c/ripole/libscispreadsheet_algo_la-bt-int.lo' libtool=yes @AMDEPBACKSLASH@
1018 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1019 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/ripole/libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
1020
1021 sci_gateway/c/libscispreadsheet_la-gw_spreadsheet.lo: sci_gateway/c/gw_spreadsheet.c
1022 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-gw_spreadsheet.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo -c -o sci_gateway/c/libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
1023 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo
1024 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_spreadsheet.c' object='sci_gateway/c/libscispreadsheet_la-gw_spreadsheet.lo' libtool=yes @AMDEPBACKSLASH@
1025 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1026 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
1027
1028 sci_gateway/c/libscispreadsheet_la-sci_xls_read.lo: sci_gateway/c/sci_xls_read.c
1029 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-sci_xls_read.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo -c -o sci_gateway/c/libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
1030 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo
1031 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xls_read.c' object='sci_gateway/c/libscispreadsheet_la-sci_xls_read.lo' libtool=yes @AMDEPBACKSLASH@
1032 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1033 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
1034
1035 sci_gateway/c/libscispreadsheet_la-sci_xls_open.lo: sci_gateway/c/sci_xls_open.c
1036 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-sci_xls_open.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo -c -o sci_gateway/c/libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
1037 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo
1038 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xls_open.c' object='sci_gateway/c/libscispreadsheet_la-sci_xls_open.lo' libtool=yes @AMDEPBACKSLASH@
1039 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1040 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
1041
1042 sci_gateway/c/libscispreadsheet_la-gw_csv_helpers.lo: sci_gateway/c/gw_csv_helpers.c
1043 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-gw_csv_helpers.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo -c -o sci_gateway/c/libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
1044 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo
1045 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_csv_helpers.c' object='sci_gateway/c/libscispreadsheet_la-gw_csv_helpers.lo' libtool=yes @AMDEPBACKSLASH@
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1047 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
1048
1049 sci_gateway/c/libscispreadsheet_la-sci_csvDefault.lo: sci_gateway/c/sci_csvDefault.c
1050 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-sci_csvDefault.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo -c -o sci_gateway/c/libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
1051 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo
1052 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvDefault.c' object='sci_gateway/c/libscispreadsheet_la-sci_csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1054 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
1055
1056 sci_gateway/c/libscispreadsheet_la-sci_csvRead.lo: sci_gateway/c/sci_csvRead.c
1057 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-sci_csvRead.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo -c -o sci_gateway/c/libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
1058 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo
1059 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvRead.c' object='sci_gateway/c/libscispreadsheet_la-sci_csvRead.lo' libtool=yes @AMDEPBACKSLASH@
1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1061 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
1062
1063 sci_gateway/c/libscispreadsheet_la-sci_csvStringToDouble.lo: sci_gateway/c/sci_csvStringToDouble.c
1064 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-sci_csvStringToDouble.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo -c -o sci_gateway/c/libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
1065 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo
1066 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvStringToDouble.c' object='sci_gateway/c/libscispreadsheet_la-sci_csvStringToDouble.lo' libtool=yes @AMDEPBACKSLASH@
1067 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1068 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
1069
1070 sci_gateway/c/libscispreadsheet_la-sci_csvTextScan.lo: sci_gateway/c/sci_csvTextScan.c
1071 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-sci_csvTextScan.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo -c -o sci_gateway/c/libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
1072 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo
1073 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvTextScan.c' object='sci_gateway/c/libscispreadsheet_la-sci_csvTextScan.lo' libtool=yes @AMDEPBACKSLASH@
1074 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1075 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
1076
1077 sci_gateway/c/libscispreadsheet_la-sci_csvWrite.lo: sci_gateway/c/sci_csvWrite.c
1078 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispreadsheet_la-sci_csvWrite.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo -c -o sci_gateway/c/libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
1079 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo sci_gateway/c/$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo
1080 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvWrite.c' object='sci_gateway/c/libscispreadsheet_la-sci_csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
1083
1084 mostlyclean-libtool:
1085         -rm -f *.lo
1086
1087 clean-libtool:
1088         -rm -rf .libs _libs
1089         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1090         -rm -rf src/c/.libs src/c/_libs
1091         -rm -rf src/c/ripole/.libs src/c/ripole/_libs
1092 install-libscispreadsheet_la_etcDATA: $(libscispreadsheet_la_etc_DATA)
1093         @$(NORMAL_INSTALL)
1094         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1095         if test -n "$$list"; then \
1096           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1097           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit 1; \
1098         fi; \
1099         for p in $$list; do \
1100           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1101           echo "$$d$$p"; \
1102         done | $(am__base_list) | \
1103         while read files; do \
1104           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1105           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit $$?; \
1106         done
1107
1108 uninstall-libscispreadsheet_la_etcDATA:
1109         @$(NORMAL_UNINSTALL)
1110         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1111         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1112         dir='$(DESTDIR)$(libscispreadsheet_la_etcdir)'; $(am__uninstall_files_from_dir)
1113 install-libscispreadsheet_la_rootDATA: $(libscispreadsheet_la_root_DATA)
1114         @$(NORMAL_INSTALL)
1115         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1116         if test -n "$$list"; then \
1117           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1118           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit 1; \
1119         fi; \
1120         for p in $$list; do \
1121           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1122           echo "$$d$$p"; \
1123         done | $(am__base_list) | \
1124         while read files; do \
1125           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1126           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit $$?; \
1127         done
1128
1129 uninstall-libscispreadsheet_la_rootDATA:
1130         @$(NORMAL_UNINSTALL)
1131         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1132         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1133         dir='$(DESTDIR)$(libscispreadsheet_la_rootdir)'; $(am__uninstall_files_from_dir)
1134 install-libscispreadsheet_la_sci_gatewayDATA: $(libscispreadsheet_la_sci_gateway_DATA)
1135         @$(NORMAL_INSTALL)
1136         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1137         if test -n "$$list"; then \
1138           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1139           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit 1; \
1140         fi; \
1141         for p in $$list; do \
1142           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1143           echo "$$d$$p"; \
1144         done | $(am__base_list) | \
1145         while read files; do \
1146           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1147           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit $$?; \
1148         done
1149
1150 uninstall-libscispreadsheet_la_sci_gatewayDATA:
1151         @$(NORMAL_UNINSTALL)
1152         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1153         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1154         dir='$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1155
1156 ID: $(am__tagged_files)
1157         $(am__define_uniq_tagged_files); mkid -fID $$unique
1158 tags: tags-am
1159 TAGS: tags
1160
1161 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1162         set x; \
1163         here=`pwd`; \
1164         $(am__define_uniq_tagged_files); \
1165         shift; \
1166         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1167           test -n "$$unique" || unique=$$empty_fix; \
1168           if test $$# -gt 0; then \
1169             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1170               "$$@" $$unique; \
1171           else \
1172             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1173               $$unique; \
1174           fi; \
1175         fi
1176 ctags: ctags-am
1177
1178 CTAGS: ctags
1179 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1180         $(am__define_uniq_tagged_files); \
1181         test -z "$(CTAGS_ARGS)$$unique" \
1182           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1183              $$unique
1184
1185 GTAGS:
1186         here=`$(am__cd) $(top_builddir) && pwd` \
1187           && $(am__cd) $(top_srcdir) \
1188           && gtags -i $(GTAGS_ARGS) "$$here"
1189 cscopelist: cscopelist-am
1190
1191 cscopelist-am: $(am__tagged_files)
1192         list='$(am__tagged_files)'; \
1193         case "$(srcdir)" in \
1194           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1195           *) sdir=$(subdir)/$(srcdir) ;; \
1196         esac; \
1197         for i in $$list; do \
1198           if test -f "$$i"; then \
1199             echo "$(subdir)/$$i"; \
1200           else \
1201             echo "$$sdir/$$i"; \
1202           fi; \
1203         done >> $(top_builddir)/cscope.files
1204
1205 distclean-tags:
1206         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1207
1208 distdir: $(DISTFILES)
1209         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1210         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1211         list='$(DISTFILES)'; \
1212           dist_files=`for file in $$list; do echo $$file; done | \
1213           sed -e "s|^$$srcdirstrip/||;t" \
1214               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1215         case $$dist_files in \
1216           */*) $(MKDIR_P) `echo "$$dist_files" | \
1217                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1218                            sort -u` ;; \
1219         esac; \
1220         for file in $$dist_files; do \
1221           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1222           if test -d $$d/$$file; then \
1223             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1224             if test -d "$(distdir)/$$file"; then \
1225               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1226             fi; \
1227             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1228               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1229               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1230             fi; \
1231             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1232           else \
1233             test -f "$(distdir)/$$file" \
1234             || cp -p $$d/$$file "$(distdir)/$$file" \
1235             || exit 1; \
1236           fi; \
1237         done
1238 check-am: all-am
1239         $(MAKE) $(AM_MAKEFLAGS) check-local
1240 check: check-am
1241 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1242 installdirs:
1243         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispreadsheet_la_etcdir)" "$(DESTDIR)$(libscispreadsheet_la_rootdir)" "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"; do \
1244           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1245         done
1246 install: install-am
1247 install-exec: install-exec-am
1248 install-data: install-data-am
1249 uninstall: uninstall-am
1250
1251 install-am: all-am
1252         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1253
1254 installcheck: installcheck-am
1255 install-strip:
1256         if test -z '$(STRIP)'; then \
1257           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1258             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1259               install; \
1260         else \
1261           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1262             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1263             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1264         fi
1265 mostlyclean-generic:
1266
1267 clean-generic:
1268
1269 distclean-generic:
1270         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1271         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1272         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1273         -rm -f sci_gateway/c/$(am__dirstamp)
1274         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1275         -rm -f src/c/$(am__dirstamp)
1276         -rm -f src/c/ripole/$(DEPDIR)/$(am__dirstamp)
1277         -rm -f src/c/ripole/$(am__dirstamp)
1278
1279 maintainer-clean-generic:
1280         @echo "This command is intended for maintainers to use"
1281         @echo "it deletes files that may require special tools to rebuild."
1282 clean: clean-am
1283
1284 clean-am: clean-generic clean-libtool clean-local \
1285         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1286
1287 distclean: distclean-am
1288         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/c/ripole/$(DEPDIR)
1289         -rm -f Makefile
1290 distclean-am: clean-am distclean-compile distclean-generic \
1291         distclean-local distclean-tags
1292
1293 dvi: dvi-am
1294
1295 dvi-am:
1296
1297 html: html-am
1298
1299 html-am:
1300
1301 info: info-am
1302
1303 info-am:
1304
1305 install-data-am: install-data-local \
1306         install-libscispreadsheet_la_etcDATA \
1307         install-libscispreadsheet_la_rootDATA \
1308         install-libscispreadsheet_la_sci_gatewayDATA
1309
1310 install-dvi: install-dvi-am
1311
1312 install-dvi-am:
1313
1314 install-exec-am: install-pkglibLTLIBRARIES
1315
1316 install-html: install-html-am
1317
1318 install-html-am: install-html-local
1319
1320 install-info: install-info-am
1321
1322 install-info-am:
1323
1324 install-man:
1325
1326 install-pdf: install-pdf-am
1327
1328 install-pdf-am:
1329
1330 install-ps: install-ps-am
1331
1332 install-ps-am:
1333
1334 installcheck-am:
1335
1336 maintainer-clean: maintainer-clean-am
1337         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/c/ripole/$(DEPDIR)
1338         -rm -f Makefile
1339 maintainer-clean-am: distclean-am maintainer-clean-generic
1340
1341 mostlyclean: mostlyclean-am
1342
1343 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1344         mostlyclean-libtool
1345
1346 pdf: pdf-am
1347
1348 pdf-am:
1349
1350 ps: ps-am
1351
1352 ps-am:
1353
1354 uninstall-am: uninstall-libscispreadsheet_la_etcDATA \
1355         uninstall-libscispreadsheet_la_rootDATA \
1356         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1357         uninstall-pkglibLTLIBRARIES
1358
1359 .MAKE: check-am install-am install-strip
1360
1361 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1362         check-local clean clean-generic clean-libtool clean-local \
1363         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1364         ctags ctags-am distclean distclean-compile distclean-generic \
1365         distclean-libtool distclean-local distclean-tags distdir dvi \
1366         dvi-am html html-am info info-am install install-am \
1367         install-data install-data-am install-data-local install-dvi \
1368         install-dvi-am install-exec install-exec-am install-html \
1369         install-html-am install-html-local install-info \
1370         install-info-am install-libscispreadsheet_la_etcDATA \
1371         install-libscispreadsheet_la_rootDATA \
1372         install-libscispreadsheet_la_sci_gatewayDATA install-man \
1373         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1374         install-ps install-ps-am install-strip installcheck \
1375         installcheck-am installdirs maintainer-clean \
1376         maintainer-clean-generic mostlyclean mostlyclean-compile \
1377         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1378         tags tags-am uninstall uninstall-am \
1379         uninstall-libscispreadsheet_la_etcDATA \
1380         uninstall-libscispreadsheet_la_rootDATA \
1381         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1382         uninstall-pkglibLTLIBRARIES
1383
1384
1385 # This target enables tests for Scilab
1386 check-local: $(top_builddir)/scilab-bin test
1387         if test -d $(mydatadir)/tests; then \
1388           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1389         fi
1390 check-code:
1391         if test -f build.xml; then \
1392                 $(ANT) checkstyle; \
1393         fi
1394         if test -x "$(SPLINT)"; then \
1395                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1396         fi
1397 @NEED_JAVA_TRUE@java:
1398 # Some configurations needs to export JAVA_HOME in the current env
1399 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1400 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1401 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1402 @NEED_JAVA_TRUE@                $(ANT); \
1403 @NEED_JAVA_TRUE@        fi
1404
1405 @NEED_JAVA_TRUE@clean-java:
1406 # Some configurations needs to export JAVA_HOME in the current env
1407 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1408 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1409 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1410 @NEED_JAVA_TRUE@                $(ANT) clean; \
1411 @NEED_JAVA_TRUE@        fi;
1412
1413 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1414 # We call the target swig-build on the variable SWIG_WRAPPERS
1415
1416 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1417 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1418 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1419 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1420 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1421 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1422 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1423 @SWIG_TRUE@             done; \
1424 @SWIG_TRUE@     fi
1425
1426 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1427 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1428 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1429 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1430 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1431 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1432 @SWIG_TRUE@             done; \
1433 @SWIG_TRUE@     fi
1434
1435 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1436 # We call the target swig-build on the variable SWIG_WRAPPERS
1437
1438 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1439 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1440 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1441 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1442 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1443 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1444 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1445 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1446 @GIWS_TRUE@                     else \
1447 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1448 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1449 @GIWS_TRUE@                     fi \
1450 @GIWS_TRUE@             done; \
1451 @GIWS_TRUE@     fi
1452
1453 @GIWS_TRUE@giws-exception:
1454 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1455 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1456 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1457
1458 macros:
1459         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1460                 echo "Error : Cannot build $< : Scilab has not been built"; \
1461         else \
1462                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1463         fi)
1464
1465 # Removes the macros
1466 clean-macros:
1467 # Removes macros (*.bin generated from .sci)
1468         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1469                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1470                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1471         done
1472
1473 test:
1474 # More tests could be added here
1475         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1476         if test -f build.xml -a $$USEANT -eq 1; then \
1477                 $(ANT) test; \
1478         fi
1479
1480 all-local: $(TARGETS_ALL)
1481
1482 .sci.bin:
1483         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1484         echo "Error : Cannot build $< : Scilab has not been build"; \
1485         else \
1486         echo "Creating $@"; \
1487         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1488         fi )
1489
1490 install-html-local:
1491
1492 install-data-local-local:
1493 # Mainly for javasci
1494         @if test -d $(srcdir)/javadoc; then \
1495                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1496         fi
1497 # If the user wants the help sources to be installed
1498 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1499 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1500 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1501 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1502 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1503 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1504 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1505 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1506 @INSTALL_HELP_XML_TRUE@           done ; \
1507 @INSTALL_HELP_XML_TRUE@         fi; \
1508 @INSTALL_HELP_XML_TRUE@  fi; \
1509 @INSTALL_HELP_XML_TRUE@ done; \
1510 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1511 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1512 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1513 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1514 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1515 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1516 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1517 @INSTALL_HELP_XML_TRUE@           done ; \
1518 @INSTALL_HELP_XML_TRUE@         fi; \
1519 @INSTALL_HELP_XML_TRUE@ fi
1520 install-data-local:
1521 # Install the tests
1522         @echo "-------- Install tests (if any) --------"; \
1523         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1524           if test -d $(srcdir)/$$dir/; then \
1525             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1526                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1527                     if test -d "$(srcdir)/$$dir/$$file"; then \
1528                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1529                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1530                     else \
1531                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1532                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1533                     fi \
1534                   done; \
1535           fi; \
1536         done
1537 # Install the help chapter
1538         @echo "-------- Install the help chapter (if any) --------"; \
1539         for lang in $(HELP_CHAPTERLANG); do \
1540                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1541                 if test -f $$HELPFILE; then \
1542                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1543                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1544                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1545                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1546                 fi; \
1547         done
1548 # Install the demos & examples
1549         @echo "-------- Install demos & examples (if any) --------"; \
1550         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1551           if test -d $(srcdir)/$$dir/; then \
1552             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1553                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1554                     if test -d "$(srcdir)/$$dir/$$file"; then \
1555                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1556                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1557                     else \
1558                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1559                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1560                     fi \
1561                   done; \
1562           fi; \
1563         done
1564 # Install the macros
1565         @echo "-------- Install macros (if any) --------"; \
1566         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1567           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1568                 if test -d $(srcdir)/$$dir/; then \
1569                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1570                         if test -n "$(MACROSSPECIALEXT)"; then \
1571                                 specialExtDir=""; \
1572                                 for specialExt in $(MACROSSPECIALEXT); do \
1573                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1574                                 done; \
1575                                 FILELIST="$$FILELIST $$specialExtDir"; \
1576                         fi; \
1577                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1578                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1579                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1580                   done; \
1581                 fi; \
1582         done
1583 # Install java files (.jar)
1584         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1585         echo "-------- Install jar files --------"; \
1586     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1587           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1588                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1589                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1590           done ; \
1591         fi
1592
1593 ########### CLEAN ###################
1594 # Clean help (generated automatically by Scilab)
1595 # It used to clean the macro (clean-macros) but this was causing
1596 # make clean && make to fail Scilab startup
1597 @NEED_JAVA_TRUE@clean-local: clean-java
1598 @NEED_JAVA_FALSE@clean-local:
1599
1600 distclean-local:
1601         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1602
1603 .PHONY: macros java swig giws
1604
1605 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1606 # Otherwise a system limit (for SysV at least) may be exceeded.
1607 .NOEXPORT: